| ApossC SDK V01.15

Functions
SDK_Information_General.mh File Reference

Declaration of the general information functions. More...

Go to the source code of this file.

## Functions
long | sdkInfoPrintSoftware ()
| Prints the software versions of the controller. More...
long | sdkInfoPrintHardware ()
| Prints the hardware information of the controller. More...
long | sdkInfoPrintAxesPos ()
| Prints the position information of all axes. More...
long | sdkInfoPrintPosPID ()
| Prints the parameters of the position PID controller. More...

## Detailed Description

Declaration of the general information functions.

Revision
  24

Definition in file SDK_Information_General.mh.

## Function Documentation

## ◆ sdkInfoPrintAxesPos()

long sdkInfoPrintAxesPos | ( |  | ) |

Prints the position information of all axes.

Function to print the actual, command and marker position of all axes.

Returns
  value: Always 1 in this function
  value > 0 Process successful
  value = 0 Process is active
  value < 0 Error

Definition at line 78 of file SDK_Information_General.mc.

79 {
80 long axiscnt, axis;
81
82 axiscnt = SYS_INFO(SYS_MAX_AXES); // Number of axes on controller
83
84 print("Axis Positions:");
85 print(" Axis",chr(9),"Actual",chr(9),"Command", chr(9),"Marker");
86
87 for (axis = 0; axis < axiscnt; axis++)
88 {
89 print(" ",axis,chr(9),Apos(axis),chr(9),Cpos(axis), chr(9),Ipos(axis));
90 }
91 print("");
92 return(1);
93 }

## ◆ sdkInfoPrintHardware()

long sdkInfoPrintHardware | ( |  | ) |

Prints the hardware information of the controller.

Function to print the hardware version of the controller.

Returns
  value: Always 1 in this function
  value > 0 Process successful
  value = 0 Process is active
  value < 0 Error

Definition at line 48 of file SDK_Information_General.mc.

49 {
50
51 print("**********************************");
52 print("-------- H/W information --------");
53 print("**********************************\n");
54
55 print("Amplifier:\t\t\t", SYS_INFO(SYS_ZB_AMP_NO));
56 print("Encoder:\t\t\t", SYS_INFO(SYS_MAX_ENCODER ));
57 print("Incremental counters:\t", SYS_INFO(SYS_MAX_CNTINC));
58 print("Absolute counters:\t\t", SYS_INFO(SYS_MAX_CNTABS));
59 print("Universal counters:\t", SYS_INFO(SYS_MAX_CNTUNI));
60 print("Comparators:\t\t", SYS_INFO(SYS_MAX_COMPARATORS));
61 print("Latches:\t\t\t", SYS_INFO(SYS_MAX_LATCH));
62 print("Signal generators:\t\t", SYS_INFO(SYS_MAX_SIGGEN));
63 print("CAN Module:\t\t", SYS_INFO(SYS_MAX_CANBUS));
64 print("");
65
66 return(1);
67 }

## ◆ sdkInfoPrintPosPID()

long sdkInfoPrintPosPID | ( |  | ) |

Prints the parameters of the position PID controller.

Function to print the basic settings of the PID controller.

Returns
  value: Always 1 in this function
  value > 0 Process successful
  value = 0 Process is active
  value < 0 Error

Definition at line 104 of file SDK_Information_General.mc.

105 {
106 long axisCnt, axis;
107
108 axisCnt = SYS_INFO(SYS_MAX_AXES); // Number of axes on controller
109
110 print("PID control parameters:");
111 print(" Axis",chr(9),"Prop",chr(9),"Int",chr(9),"Diff",chr(9),"Timer",chr(9),"I-Limit");
112
113 for (axis = 0; axis < axisCnt; axis++)
114 {
115 printf(" %ld\t%ld\t%ld\t%ld\t%ld\t%ld\n",
116 axis,
117 AXE_PARAM(axis, KPROP), // Proportional factor
118 AXE_PARAM(axis, KINT), // Integral factor
119 AXE_PARAM(axis, KDER), // Derivative factor
120 AXE_PARAM(axis, TIMER), // Derivative time
121 AXE_PARAM(axis, KILIM)); // Integration limit
122 }
123 print("");
124 return(1);
125 }

## ◆ sdkInfoPrintSoftware()

long sdkInfoPrintSoftware | ( |  | ) |

Prints the software versions of the controller.

Function to print the software versions of the controller.

Returns
  value: Always 1 in this function
  value > 0 Process successful
  value = 0 Process is active
  value < 0 Error

Definition at line 22 of file SDK_Information_General.mc.

23 {
24
25 print("**********************************");
26 print("------ Software information ------");
27 print("**********************************\n");
28
29 print("Hardware ID:\t", SYS_INFO(SYS_HARDWARE_ID));
30 print("Firmware:\t\t", SYS_INFO(SYS_FW_CPU));
31 print("FPGA:\t\t", SYS_INFO(SYS_FPGA_SW_VERSION));
32 print("Amplifier:\t\t", SYS_INFO(SYS_FW_AMPLIFIER_VERSION));
33 print("Coprocessor:\t", SYS_INFO(SYS_FW_COPROCESSOR_VERSION));
34 print("Bootloader:\t", SYS_INFO(SYS_BOOTLOADER_SW_VERSION));
35 print("");
36
37 return(1);
38 }
TIMER
#define TIMER
Parameter for determining the sampling time of the position control algorithm.
Definition: SdoDictionary.mh:2433
SYS_HARDWARE_ID
#define SYS_HARDWARE_ID
Hardware identification.
Definition: SdoDictionary.mh:1212
SYS_MAX_CNTUNI
#define SYS_MAX_CNTUNI
Number of H/W universal counters.
Definition: SdoDictionary.mh:1378
SYS_FW_COPROCESSOR_VERSION
#define SYS_FW_COPROCESSOR_VERSION
Coprocessor software version.
Definition: SdoDictionary.mh:1277
SYS_MAX_CNTABS
#define SYS_MAX_CNTABS
Number of H/W absolute counters.
Definition: SdoDictionary.mh:1373
SYS_FW_CPU
#define SYS_FW_CPU
Software version.
Definition: SdoDictionary.mh:1218
KDER
#define KDER
Derivative Factor for PID position control loop.
Definition: SdoDictionary.mh:2413
SYS_FPGA_SW_VERSION
#define SYS_FPGA_SW_VERSION
FPGA software version.
Definition: SdoDictionary.mh:1240
KILIM
#define KILIM
Limit value for the integral sum of the PID position control loop.
Definition: SdoDictionary.mh:2507
SYS_MAX_CNTINC
#define SYS_MAX_CNTINC
Number of H/W incremental counters.
Definition: SdoDictionary.mh:1368
AXE_PARAM
#define AXE_PARAM(modno, parno)
Axis Parameters: Setter.
Definition: SdoDictionary.mh:2293
SYS_ZB_AMP_NO
#define SYS_ZB_AMP_NO
Number of H/W amplifiers.
Definition: SdoDictionary.mh:1358
SYS_MAX_LATCH
#define SYS_MAX_LATCH
Number of H/W latches.
Definition: SdoDictionary.mh:1388
SYS_MAX_COMPARATORS
#define SYS_MAX_COMPARATORS
Number of H/W comparators.
Definition: SdoDictionary.mh:1383
SYS_MAX_AXES
#define SYS_MAX_AXES
Number of axes available.
Definition: SdoDictionary.mh:1229
SYS_MAX_SIGGEN
#define SYS_MAX_SIGGEN
Number of H/W signal generators.
Definition: SdoDictionary.mh:1393
SYS_MAX_ENCODER
#define SYS_MAX_ENCODER
Number of H/W encoders.
Definition: SdoDictionary.mh:1363
SYS_INFO
#define SYS_INFO(parno)
System Information: Setter.
Definition: SdoDictionary.mh:1202
KPROP
#define KPROP
Proportional value for PID position control loop.
Definition: SdoDictionary.mh:2404
SYS_MAX_CANBUS
#define SYS_MAX_CANBUS
Number of physical CAN busses.
Definition: SdoDictionary.mh:1496
KINT
#define KINT
Integral value for PID position control loop.
Definition: SdoDictionary.mh:2422
SYS_FW_AMPLIFIER_VERSION
#define SYS_FW_AMPLIFIER_VERSION
Amplifier Version.
Definition: SdoDictionary.mh:1272
SYS_BOOTLOADER_SW_VERSION
#define SYS_BOOTLOADER_SW_VERSION
Bootloader software version.
Definition: SdoDictionary.mh:1245

Data Sheets | Released Software | Software Manuals | Hardware Manuals | Maxon Shop

Maxon Support Center